STRCASECMP(3)

NAME
strcasecmp - case-insensitive character string compare

SYNOPSIS

#include <strings.h>

int strcasecmp(const char *a, const char *b);

DESCRIPTION

strcasecmp compares the string at a to the string at b in a case-insensitive manner.

RETURNS

If *a sorts lexicographically after *b (after both are converted to lowercase), strcasecmp returns a number greater than zero. If the two strings match, strcasecmp returns zero. If *a sorts lexicographically before *b, strcasecmp returns a number less than zero.

PORTABILITY

strcasecmp is in the Berkeley Software Distribution.

strcasecmp requires no supporting OS subroutines. It uses tolower() from elsewhere in this library.